{% extends('/layouts/layout_main.twig') %}


{% block content %}
   
        <p><span class="glyphicon glyphicon-backward"></span> <a href="{{ url('point-suivi', { 'alias':P.alias, 'type':P.type_point })}}">Retour</a></p>
        <h1>

            {% if P.type_point == 'pluvio' %} <img src="/img/icon/pluvio-flat.png" width="30" title="Suivi de la pluviométrie" /> {% endif %}
            {% if P.type_point == 'hauteur' %} <img src="/img/icon/hauteur-flat.png" width="30" title="Suivi des hauteurs d'eau" /> {% endif %}
            {% if P.type_point == 'debit' %} <img src="/img/icon/debit-flat.png" width="30" title="Suivi des débits" /> {% endif %}

            {{ P.point_suivi }} 

        </h1>
        {% if P.type_point == 'pluvio' %} 
            <p>Station de suivi des cumuls pluviométriques. Organisme source : {{ P.structure_gestionnaire }}.</p>
        {% endif %}
        {% if P.type_point == 'hauteur' %} 
            <p>Station de suivi des hauteurs d'eau. Organisme source : {{ P.structure_gestionnaire }}.</p>
        {% endif %}
         {% if P.type_point == 'debit' %} 
            <p>Station de suivi des débits. Organisme source : {{ P.structure_gestionnaire }}.</p>
        {% endif %}






        <p><iframe src="{{ url('carte-simple', { 'id' : P.id_point_suivi }) }}" width="100%" height="250px"></iframe></p>

        <h2>Infos  {% if app.session.get('U').aAcces('ROLE_GESTIONNAIRE',P.id_point_suivi,app.pdo) %}
            <a class='btn btn-default' href="{{ url('point-suivi-form', { 'alias' : P.alias  }) }}"><span class="glyphicon glyphicon-pencil"></span> Modifier le point de suivi</a>
            {% endif %}
            </h2>

            Code station : {{ P.code_station }}<br />
            Nom officiel : {{ P.nom_station_officiel }}<br />
            Type de suivi : {{ P.type_suivi }}<br />
            Type de relevé (le plus souvent) : {{ P.type_releve }}<br />
            Structure gestionnaire du point de suivi : {{ P.structure_gestionnaire }}<br />
            {% if P.lien_vigicrue!=null %}<a target="_blank" href="{{P.lien_vigicrue }}">Lien vers la page de la station sur Vigicrue</a><br />{% endif %} 
            {% if P.lien_banquehydro!=null %}<a target="_blank" href="{{P.lien_banquehydro }}">Lien vers la page de la station sur la Banque hydro</a><br />{% endif %} 
            {% if P.lien_infoclimat!=null %}<a target="_blank" href="{{P.lien_infoclimat }}">Lien vers la page de la station sur Infclimat</a><br />{% endif %} 
            {% if P.lien_autre!=null %}<a target="_blank" href="{{P.lien_autre }}">Lien vers {{ P.lien_autre }}</a><br />{% endif %} 


            <h2>Seuils</h2>
            <ul>
                {% for s in P.tabSeuils %}

                    <li>{{ s.nom }} / {{ s.date_seuil }} niveau de {{ s.valeur }} {{ P.unite }} 
                        {% if app.session.get('U').aAcces('ROLE_GESTIONNAIRE',P.id_point_suivi,app.pdo) %}
                            <a class='btn btn-default btn-sm' href="{{ url('seuil-form', { 'alias' : P.alias, 'id_seuil' : s.id_seuil  }) }}"><span class="glyphicon glyphicon-pencil"></span></a>
                            {% endif %}        
                    </li>

                {% endfor %}
            </ul>


            {% if app.session.get('U').aAcces('ROLE_GESTIONNAIRE',P.id_point_suivi,app.pdo) %}
                <p><a class='btn btn-success' href="{{ url('seuil-form', { 'alias' : P.alias, 'id_seuil' : 'nouveau'  }) }}"><span class="glyphicon glyphicon-plus"></span> Nouveau seuil</a></p>
            {% endif %}



        {% endblock %}


